import junit.framework.Assert;

import org.jboss.arquillian.api.Deployment;
import org.jboss.arquillian.spi.core.annotation.Inject;
import org.jboss.arquillian.testng.Arquillian;
import org.jboss.shrinkwrap.api.ArchivePaths;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.ByteArrayAsset;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;

public class TemperatureConverterTestTestNg extends Arquillian {

	   @Inject
	   private TemperatureConverter converter;

	   @Deployment
	   public static JavaArchive createTestArchive() {
	      return ShrinkWrap.create(JavaArchive.class, "test.jar")
	         .addClasses(TemperatureConverter.class)
	         .addAsManifestResource(
	            EmptyAsset.INSTANCE,
	            ArchivePaths.create("beans.xml")); 
	   }

	   // Rig I saw in posting http://community.jboss.org/message/594118 
	   // Really not what I'm looking to do... I want to inject the TemperatureConverter
	   //@BeforeTest
	   //private void setup() {
	   //   converter = new TemperatureConverter();
	   //}
	   
	   @Test
	   public void testConverter() {
		   Assert.assertNotNull(converter);
	   }
	   
	   @Test
	   public void testConvertToCelsius() {
	      Assert.assertEquals(converter.convertToCelsius(32d), 0d);
	      Assert.assertEquals(converter.convertToCelsius(212d), 100d);
	   }


	   @Test
	   public void testConvertToFarenheit() {
	      Assert.assertEquals(converter.convertToFarenheit(0d), 32d);
	      Assert.assertEquals(converter.convertToFarenheit(100d), 212d);
	   }

}